Appearance
Create Report
POST
/reports
Create a new standalone report from studies and automatically start TOC generation.
Authorizations
HTTPBearer
Use your API token
Type
HTTP (bearer)
Request Body
application/json
JSON
{
"projectId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"studyIds": [
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
],
"tableOfContents": [
{...}
],
"focus": "string"
}
Responses
Successful Response
application/json
Schema for standalone reports (not tied to subplans).
Collapse
id
string
Required
Format
"uuid"createdAt
string
Required
Format
"date-time"status
string
Required
reportType
string |null
Required
projectId
string
Required
Format
"uuid"createdBy
string
Required
Format
"uuid"sections
object[]
Required
tableOfContents
array |null
Default
studies
string[]
Required
focus
string |null
progressCurrent
integer |null
progressTotal
integer |null
progressSection
string |null